#! /bin/sh

PATCHS_SRC=`pwd`

PATCHS_LIST="\
	oom.patch                           \
	ebtables-brnf-3_vs_2.4.22.diff.gz   \
	patch-2.4.22-eiptables4	            \
	patch-2.4.22-bridge1	            \
	patch-2.4.22-notrack1               \
	patch-2.4.22-MWI                    \
	patch-2.4.22-r8169-driver           \
	patch-2.4.22-sata-via-driver        \
	patch-2.4.22-via-rhine-driver       \
	patch-2.4.22-watchdog-driver        \
	patch-2.4.22-connlimit              \
	patch-2.4.22-conntrack-timeout      \
	patch-2.4.22-led-driver             \
	patch-2.4.22-ip-conntrack-missing   \
	patch-2.4.22-ip-queue               \
    "

patch_files()
{
	for pfile in $*; do
		case $pfile in
			*.gz)
				gzip -dc $PATCHS_SRC/$pfile|patch -p1
				;;
			*)
				patch -p1 -i $PATCHS_SRC/$pfile
				;;
		esac
	done;
}

usage()
{
	echo 'patch-cp-kernel.sh linux_dir'
	exit
}

########################
# main
########################

# check linux_dir
if [ ! $1 ] || [ ! -e $1/include/linux/proc_fs.h ] ; then
	usage
fi

cd $1
patch_files $PATCHS_LIST
echo "************************"
echo " patch linux $1"
echo "************************"
